Search…
TVO-4.2
Upgrade TrilioVault
Starting TrilioVault for Openstack 4.0 does TrilioVault for Openstack allow in-place upgrades.
The following versions can be upgraded to each other:
Old
New
4.0 GA (4.0.92)
4.0 SP1 (4.0.115)
4.0 GA (4.0.92)
4.1 latest hotfix
4.0 GA (4.0.92)
4.2 GA (4.2.64)
4.1 GA (4.1.94)
4.1 latest Hotfix
4.1 Hotfix
4.1 latest Hotfix
4.1 GA (4.1.94)
4.2 GA (4.2.64)
4.1 Hotfix
4.2 GA (4.2.64)
The upgrade process contains upgrading the TrilioVault appliance and the Openstack components and is dependent on the underlying operating system.
The Upgrade of TrilioVault for Canonical Openstack is managed through the charms.

Enable mount-bind for NFS

TVO 4.2 has changed the calculation of the mount point. It is necessary to set up the mount-bind to make TVO 4.1 or older backups available for TVO 4.2
Please follow this documentation to set up the mount bind for Canonical OpenStack.
Export as PDF
Copy link